# Update Accounts Metastore Assignment

Launch stage: GA

`PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}`

Updates an assignment to a metastore for a workspace. Currently, only the default catalog may be updated.

API scopes: unity-catalog

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html)
- `workspace_id` (int64, optional)
  Workspace ID.
- `metastore_id` (string, optional)
  Unity Catalog metastore ID

## Request body

- `metastore_assignment` (object, optional)
  - `workspace_id` (int64, optional)
    The unique ID of the <Databricks> workspace.
  - `metastore_id` (string, optional)
    The unique ID of the metastore.
  - `default_catalog_name` (string, optional)
    The name of the default catalog in the metastore. This field is deprecated.
     Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

## Response

```json
{}
```

